//-----------------------------------------------------------------------------
//
// Endurance R/C PCTx/Servo Controller Web Interface v1.0
// Copyright 2007 Endurance R/C
//
//-----------------------------------------------------------------------------

#pragma once

#include <windows.h>
#include <stdio.h>
#include <conio.h>
#include <iostream>

using namespace System::Windows::Forms;

extern "C" {
	#include "hidsdi.h"
	#include <setupapi.h>
}

class controller {
public:
	controller(void);
	~controller(void);

	bool connected;
	bool send(int,int,int,int,int,int,int,int,int);
	bool connect();

private:	

	int pos[9]; //holds the values for the servo positions

	HANDLE								DeviceHandle;
	HIDP_CAPS							Capabilities;
	BOOL								result;

	CHAR								OutputReport[10]; //buffer out to pctx or servo controller

	DWORD								BytesWritten;
	DWORD								BytesRead;
};